/*
** File: main.h  
** Project: ADMXRC3 module driver
** Purpose: Declare top-level functions of driver
**
** (C) Copyright Alpha Data 2009-2010
*/

#ifndef _ADATA_ADMXRC3_MAIN_H
#define _ADATA_ADMXRC3_MAIN_H

#include <df.h>

#include "device.h"

extern boolean_t
admxrc3OnStart(
	DfDeviceObject* pDevObj,
  Admxrc3DeviceContext* pDevCtx,
	DfBusResources* pRawRes,
	DfBusResources* pTranslatedRes);

extern void
admxrc3OnStop(
	DfDeviceObject* pDevObj,
	Admxrc3DeviceContext* pDevCtx);

extern boolean_t
admxrc3OnAdd(
	DfDeviceObject* pDevObj,
	Admxrc3DeviceContext* pDevCtx);

extern void
admxrc3OnRemove(
	DfDeviceObject* pDevObj,
	Admxrc3DeviceContext* pDevCtx);

extern boolean_t
admxrc3OnPowerQuery(
	DfDeviceObject* pDevObj,
	Admxrc3DeviceContext* pDevCtx,
  unsigned int currentState,
  unsigned int requestedState,
  boolean_t bIsShutdown);

extern void
admxrc3OnPowerSet(
	DfDeviceObject* pDevObj,
	Admxrc3DeviceContext* pDevCtx,
  unsigned int currentState,
  unsigned int newState,
  boolean_t bIsShutdown);

extern boolean_t
admxrc3DriverEntry(
	DfDriverObject* pDrvObj);

extern void
admxrc3DriverExit(
	DfDriverObject* pDrvObj);

#endif
